Bug 1337601 - "add the red hat storage apt-key" requires internet access to redhat.com
Summary: "add the red hat storage apt-key" requires internet access to redhat.com
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: Andrew Schoen
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1343229
TreeView+ depends on / blocked
 
Reported: 2016-05-19 15:05 UTC by Ken Dreyer (Red Hat)
Modified: 2016-08-23 19:51 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-ansible-1.0.5-20.el7scon
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:51:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1754 normal SHIPPED_LIVE New packages: Red Hat Storage Console 2.0 2017-04-18 19:09:06 UTC

Description Ken Dreyer (Red Hat) 2016-05-19 15:05:19 UTC
Description of problem:
ceph-ansible requires internet access when adding the Red Hat GPG key on Ubuntu systems.

 - name: add the red hat storage apt-key
   apt_key:
     url: "https://www.redhat.com/security/fd431d51.txt"
     state: present

Version-Release number of selected component (if applicable):
ceph-ansible-1.0.5-14.el7scon

How reproducible:
always

Steps to Reproduce:
1. Create an Ubuntu Xenial node and make it unable to access the broader internet (specifically https://www.redhat.com in this case).
2. Use ceph-ansible to install Red Hat Ceph Storage on the node.

Actual results:
The cluster node will be unable to add https://www.redhat.com/security/fd431d51.txt to the list of apt keys.

Expected results:
The install should succeed without internet access to redhat.com.

Additional info:
According to http://docs.ansible.com/ansible/apt_key_module.html it is possible to embed the GPG key contents in a file within Ansible, and this is probably the best route to take here.

Comment 1 Andrew Schoen 2016-06-02 20:23:36 UTC
Upstream PR opened: https://github.com/ceph/ceph-ansible/pull/836

Comment 7 errata-xmlrpc 2016-08-23 19:51:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1754


Note You need to log in before you can comment on or make changes to this bug.